<a href='javascript:;'
   class='relative inline-flex items-center rounded-full border border-gray-300 px-3 py-0.5 text-sm ml-2'>
                  <span class='absolute flex-shrink-0 flex items-center justify-center'>
                    <span class='h-1.5 w-1.5 rounded-full'
                          [ngClass]="{
                          'bg-yellow-500': optimal_percent && optimal_percent < optimal_percent_indicator,
                          'bg-green-500':  optimal_percent && optimal_percent >= optimal_percent_indicator,
                          'bg-indigo-500': mining_power}"
                          aria-hidden='true'></span>
                  </span>
  <span class='ml-3.5 font-medium text-gray-900 dark:text-white'
        *ngIf='dhxBonded && optimal_percent >= optimal_percent_indicator'>{{dhxBonded}} DHX Bonded</span>
  <span class='ml-3.5 font-medium text-gray-900 dark:text-white'
        *ngIf='reinvestment && optimal_percent < optimal_percent_indicator'>{{reinvestment}} DHX not used</span>
  <span class='ml-3.5 font-medium text-gray-900 dark:text-white'
        *ngIf='!dhxBonded && !reinvestment && !mining_power'>{{optimal_percent}}% Optimal</span>
  <span class='ml-3.5 font-medium text-gray-900 dark:text-white'
        *ngIf='mining_power && !boost'>{{mining_power}} mPower</span>
  <span class='ml-3.5 font-medium text-gray-900 dark:text-white' *ngIf='boost'>Boost <b>{{boost}}</b></span>
</a>
